/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010-2011, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_adduser
#define headerfile_winix_functions_adduser

#include "functionbase.h"
#include "core/user.h"


namespace Fun
{


class AddUser : public FunctionBase
{
public:

	AddUser();
	void MakePost();
	void MakeGet();

private:

	bool CheckAddUserVars(const std::wstring & login, const std::wstring & pass, const std::wstring & conf_pass);
	UserPass up;
};


} // namespace

#endif
